Description

Pure nomenclatural references do have some specific properties only they have.

® very often articles and book sections do only have an author defined, nothing more, it is even not expected that the article title,
book section title, does exist or is cited somehow.
e TBC

However, as only the author exists it is difficult to deduplicate these references as one of the typical rules is, that the title is required
for deduplication.

Maybe we can have a subtype (either class or ReferenceType) defining a NomenclaturalArticle or NomenclaturalBookSection, which
then allows deduplication as it is not expected that these do have titles. If wanted these can replaced by real articles, book sections,
sections with no consequence to the results so it is possible to use also references used in parallel for bibliographic references.

TODO: Find further reasons to distinguish nomenclatural (part-of) references

Related issues:

Related to EDIT - bug #6427: Improve Matching for Reference.title and abbrevT... New
Related to EDIT - feature request #9085: Improve deduplication of parsed names Closed
History

#1 - 02/13/2017 11:07 PM - Andreas Miiller

- Description updated

#3 - 02/17/2017 10:18 AM - Andreas Miiller
- Related to bug #6427: Improve Matching for Reference.title and abbrevTitle added

#4 - 09/23/2017 01:40 PM - Andreas Miiller

- Tracker changed from bug to task

#5 - 05/19/2021 11:24 AM - Andreas Miiller

- Related to feature request #9085: Improve deduplication of parsed names added
